
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_ordercancelrq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for MarketMsgAssocSimpleType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="MarketMsgAssocSimpleType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Media"/&amp;gt;
 *     &amp;lt;enumeration value="OfferItem"/&amp;gt;
 *     &amp;lt;enumeration value="Order"/&amp;gt;
 *     &amp;lt;enumeration value="OrderItem"/&amp;gt;
 *     &amp;lt;enumeration value="Payment"/&amp;gt;
 *     &amp;lt;enumeration value="Service"/&amp;gt;
 *     &amp;lt;enumeration value="ServiceBundle"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "MarketMsgAssocSimpleType")
@XmlEnum
public enum MarketMsgAssocSimpleType {

    @XmlEnumValue("Media")
    MEDIA("Media"),
    @XmlEnumValue("OfferItem")
    OFFER_ITEM("OfferItem"),
    @XmlEnumValue("Order")
    ORDER("Order"),
    @XmlEnumValue("OrderItem")
    ORDER_ITEM("OrderItem"),
    @XmlEnumValue("Payment")
    PAYMENT("Payment"),
    @XmlEnumValue("Service")
    SERVICE("Service"),
    @XmlEnumValue("ServiceBundle")
    SERVICE_BUNDLE("ServiceBundle");
    private final String value;

    MarketMsgAssocSimpleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static MarketMsgAssocSimpleType fromValue(String v) {
        for (MarketMsgAssocSimpleType c: MarketMsgAssocSimpleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
